yl_speak_up = {}

local modpath = minetest.get_modpath("yl_speak_up")..DIR_DELIM
yl_speak_up.worldpath = minetest.get_worldpath()..DIR_DELIM
yl_speak_up.modpath = modpath

yl_speak_up.modstorage = minetest.get_mod_storage()

-- status
-- 0: NPCs may speak
-- 1: NPCs may not speak
-- 2: NPCs must selfdestruct on load. Their dialogs remain safed

yl_speak_up.status = yl_speak_up.modstorage:get_int("status") or 0
yl_speak_up.number_of_npcs = yl_speak_up.modstorage:get_int("amount") or 0
yl_speak_up.speak_to = {}

dofile(modpath .. "config.lua")
dofile(modpath .. "privs.lua")
dofile(modpath .. "functions.lua")
dofile(modpath .. "tools.lua")
dofile(modpath .. "mobs.lua")
--dofile(modpath .. "debug.lua")

minetest.mkdir(yl_speak_up.worldpath..yl_speak_up.path)
yl_speak_up.mob_table = yl_speak_up.init_mob_table() or {}

minetest.log("action","[MOD] yl_speak_up loaded")